## mars.mips.dump
Class HexTextDumpFormat

    java.lang.Object
      mars.mips.dump.AbstractDumpFormat
          mars.mips.dump.HexTextDumpFormat

All Implemented Interfaces:
  DumpFormat

    public class HexTextDumpFormat

extends AbstractDumpFormat

Class that represents the "hexadecimal text" memory dump format. The output is a text file with one word of MIPS memory per line. The word is formatted using hexadecimal characters, e.g. 3F205A39.

Author:
  Pete Sanderson

Constructor Summary
`HexTextDumpFormat()` Constructor.

Method Summary
`void` `dumpMemoryRange(File file, int firstAddress, int lastAddress)` Write MIPS memory contents in hexadecimal text format.

Methods inherited from class mars.mips.dump.AbstractDumpFormat
`getCommandDescriptor, getDescription, getFileExtension, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HexTextDumpFormat

    public HexTextDumpFormat()

  Constructor. There is no standard file extension for this format.

Method Detail

### dumpMemoryRange

    public void dumpMemoryRange(File file,
                                int firstAddress,
                                int lastAddress)
                         throws AddressErrorException,
                                IOException

  Write MIPS memory contents in hexadecimal text format. Each line of text contains one memory word written in hexadecimal characters. Written using PrintStream's println() method. Adapted by Pete Sanderson from code written by Greg Gibeling.

  Specified by:
    `dumpMemoryRange` in interface `DumpFormat`
  Specified by:
    `dumpMemoryRange` in class `AbstractDumpFormat`
  Parameters:
    `file` - File in which to store MIPS memory contents.
    `firstAddress` - first (lowest) memory address to dump. In bytes but must be on word boundary.
    `lastAddress` - last (highest) memory address to dump. In bytes but must be on word boundary. Will dump the word that starts at this address.
  Throws:
    `AddressErrorException` - if firstAddress is invalid or not on a word boundary.
    `IOException` - if error occurs during file output.